Name: zlib
Version: 1.2.13
Release: 1
License: Zlib
Summary: A Massively Spiffy Yet Delicately Unobtrusive Compression Library
Url: http://www.zlib.net/

BuildRequires: pase-build-tools

Source0: http://www.zlib.net/fossils/zlib-%{version}.tar.gz

Patch0: zlib-configure.patch

%description
zlib is designed to be a free, general-purpose, legally unencumbered -- that is, not covered by any patents -- lossless data-compression library for use on virtually any computer hardware and operating system. The zlib data format is itself portable across platforms. Unlike the LZW compression method used in Unix compress(1) and in the GIF image format, the compression method currently used in zlib essentially never expands the data. (LZW can double or triple the file size in extreme cases.) zlib's memory footprint is also independent of the input data and can be reduced, if necessary, at some cost in compression. A more precise, technical discussion of both points is available on another page. 



%package -n libz1
Summary: zlib library
Provides: zlib = %{version}

%description -n libz1
The zlib package contains the zlib libraries which are used by some programs to parse command-line options. 


%package devel
Summary: zlib development files
Requires: %{name} = %{version}-%{release}

%description devel
zlib


%prep
%setup -q

%patch0 -p1

%build


%ifarch ppc64
    %define arg64 --64
%endif

export LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}"

./configure \
  %{?arg64} \
  --prefix=%{_prefix} \
  --eprefix=%{_exec_prefix} \
  --libdir=%{_libdir} \
  --sharedlibdir=%{_libdir} \
  --includedir=%{_includedir} \
  # end

  
%make_build

name=libz.so.%{version}
soname=`echo $name | awk -F. '{ print $1 "." $2 "." $3 }'`
svr4-shrlib $name $soname %{_arch}


%install

%make_install

rm %{buildroot}%{_libdir}/libz.so.1
mv %{buildroot}%{_libdir}/libz.so.%{version} %{buildroot}%{_libdir}/libz.so.1

rm %{buildroot}%{_libdir}/libz.so
ln -s libz.so.1 %{buildroot}%{_libdir}/libz.so

rm %{buildroot}%{_libdir}/libz.a

%files -n libz1
%defattr(-, qsys, *none)
%{_libdir}/libz.so.1

%files devel
%defattr(-, qsys, *none)
%{_libdir}/libz.so

%{_libdir}/pkgconfig/zlib.pc
%{_mandir}/man3/zlib.3*
%{_includedir}/zlib.h
%{_includedir}/zconf.h

%changelog
* Fri Oct 21 2022 Xu Meng <mengxumx@cn.ibm.com> - 1.2.13
- Update to v1.2.13

* Mon Oct 17 2022 Jason Hansen <stymie@us.ibm.com> - 1.2.12
- Correct incorrect inputs provided to the CRC functions, which caused problems
  for the java jar command

* Tue Sep 20 2022 Xu Meng <mengxumx@cn.ibm.com> - 1.2.12
- Update to v1.2.12

* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 1.2.11
- Intra-package Requires need version and release

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 1.2.11
- Use generic paths for man and info pages to allow for compression

* Tue Nov 05 2019 Kevin Adler <kadler@us.ibm.com> - 1.2.11
- Use SPDX license identifier

* Tue Mar 26 2019 Kevin Adler <kadler@us.ibm.com> - 1.2.11
- ibm-build-tools -> pase-build-tools

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove libz.a static file

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Mass replace svr4_shlib.sh -> svr4-shrlib

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Only ship libz.so.1 to enable automatic dependency generation

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
